PUT Api/InspectionSvlOneAnswer/{id}

URI Example

PUT Api/InspectionSvlOneAnswer/{id}

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

InspectionSvlOneAnswerBinding
NameDescriptionTypeAdditional information
InspectionSvlOneGroupItemId

integer

Required

DamageClassId

integer

Required

DamageSubClassId

integer

Required

DamageSubSubClassId

integer

None.

DamageScaleId

integer

Required

RiskScaleId

integer

Required

BuildingElementLocationId

integer

Required

DamageExtension

integer

Required

Description

string

None.

ToBeExecutedBy

string

None.

Recommendation

string

None.

RecommendationNotShowOnReport

boolean

None.

Consequences

string

None.

ConsequencesNotShowOnReport

boolean

None.

Request Formats

application/json, text/json, application/hal+json
  • {
      "inspectionSvlOneGroupItemId": 1,
      "damageClassId": 2,
      "damageSubClassId": 3,
      "damageSubSubClassId": 1,
      "damageScaleId": 4,
      "riskScaleId": 5,
      "buildingElementLocationId": 6,
      "damageExtension": 7,
      "description": "sample string 8",
      "toBeExecutedBy": "sample string 9",
      "recommendation": "sample string 10",
      "recommendationNotShowOnReport": true,
      "consequences": "sample string 12",
      "consequencesNotShowOnReport": true
    }
    

Resource Description

InspectionSvlOneAnswerResource
NameDescriptionTypeAdditional information
Id

integer

None.

InspectionSvlOneGroupItemId

integer

None.

DamageClassId

integer

None.

DamageSubClassId

integer

None.

DamageSubSubClassId

integer

None.

DamageScaleId

integer

None.

RiskScaleId

integer

None.

BuildingElementLocationId

integer

None.

DamageExtension

integer

None.

Description

string

None.

ToBeExecutedBy

string

None.

Recommendation

string

None.

RecommendationNotShowOnReport

boolean

None.

Consequences

string

None.

ConsequencesNotShowOnReport

boolean

None.

Panorama

integer

None.

Tilt

integer

None.

Pan

integer

None.

PositionX

decimal number

None.

PositionY

decimal number

None.

PositionZ

decimal number

None.

IsBlocked

boolean

None.

UpdateDate

date

None.

_links

Dictionary of string [key] and Link [value]

None.

_embedded

Dictionary of string [key] and Object [value]

None.

Response Formats

application/json, text/json, application/hal+json
  • {
      "_links": {
        "sample string 1": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        },
        "sample string 2": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        }
      },
      "id": 1,
      "inspectionSvlOneGroupItemId": 2,
      "damageClassId": 3,
      "damageSubClassId": 1,
      "damageSubSubClassId": 1,
      "damageScaleId": 4,
      "riskScaleId": 5,
      "buildingElementLocationId": 6,
      "damageExtension": 7,
      "description": "sample string 8",
      "toBeExecutedBy": "sample string 9",
      "recommendation": "sample string 10",
      "recommendationNotShowOnReport": true,
      "consequences": "sample string 12",
      "consequencesNotShowOnReport": true,
      "panorama": 1,
      "tilt": 1,
      "pan": 1,
      "positionX": 1.1,
      "positionY": 1.1,
      "positionZ": 1.1,
      "isBlocked": true,
      "updateDate": "2026-10-29T13:05:17.5599254+01:00",
      "_embedded": {
        "sample string 1": {},
        "sample string 3": {}
      }
    }